Subject: Re: [patch 06/13] ppc 8260 fcc ethernet driver cannot read LXT971 PHY id

From: Jeff Garzik <[email-masked]>
Date: Wed, 16 Mar 2005 13:13:06 -0500

Andrew Morton wrote:
> [email-masked] wrote:
> 
>>From: "Balasaygun, Oray (Oray)" <[email-masked]>
>>
>> - fix for Bug 4310
>>
>> - The fcc_enet.c, as distributed in 2.6.10, does not compile.  Evidently
>>   the 2.6 kernel no longer supports the schedule_task() and "struct
>>   tq_struct" to go with it.  Lines 73 through and including 96 of the
>>   diffout file show the changes I made to port schedule_task() into
>>   tasklet_schedule().  I should have reported this as a bug too but I
>>   forgot about it.
>>
>> - customize fcc_enet.c to work with my custom board.  These changes are
>>   conditional on CONFIG_EON8260 being defined.
> 
> 
> Jeff, don't apply this please - we're getting a bunch of patches for this
> driver coming from another direction (mvista, freescale.com).  Will take
> some time to sort through.

All they have to do is send them to the net driver maintainer -- me -- 
and they get sorted through.

	Jeff